From 958378982f9a046708cdd69b1c5e1189700f5273 Mon Sep 17 00:00:00 2001
From: Niko Tyni <ntyni@debian.org>
Date: Sun, 20 Aug 2023 20:19:59 +0100
Subject: [PATCH] Skip smartmatch warnings test for newer perls

Bug-Debian: http://bugs.debian.org/1043425
---
 t/where.t | 14 ++++++++------
 1 file changed, 8 insertions(+), 6 deletions(-)

diff --git a/t/where.t b/t/where.t
index 09f027d..511860c 100644
--- a/t/where.t
+++ b/t/where.t
@@ -18,8 +18,10 @@ use Method::Signatures;
 
 
 my $where_func = q{ func silly_test ($x where { $_ == 3 }) {} };
-warning_is { eval $where_func } undef, 'no warnings for using smartmatch';
-
+SKIP: {
+    skip "Smartmatch should warn for Perl >= 5.37.10", 1 if $] >= 5.037010;
+    warning_is { eval $where_func } undef, 'no warnings for using smartmatch';
+}
 
 subtest 'where { block() }' => sub {
     plan tests => 3;
@@ -152,15 +154,15 @@ subtest 'where with placeholders' => sub {
     ok eval { constrained_placeholder(2) }, 'constrained_placeholder() called as expected'
         or note $@;
 
-    # line 155
+    # line 157
     throws_ok { constrained_placeholder() }
-        required_placeholder_error('main', 0, 'constrained_placeholder', LINE => 156),
+        required_placeholder_error('main', 0, 'constrained_placeholder', LINE => 158),
         'missing requierd constrained placeholder';
     throws_ok { constrained_placeholder('foo') }
-        placeholder_badval_error('main', 0, 'Int' => 'foo', 'constrained_placeholder', LINE => 159),
+        placeholder_badval_error('main', 0, 'Int' => 'foo', 'constrained_placeholder', LINE => 161),
         'placeholder value wrong type';
     throws_ok { constrained_placeholder(99) }
-        placeholder_failed_constraint_error('main', 0, 99 => '{$_<10}', 'constrained_placeholder', LINE => 162),
+        placeholder_failed_constraint_error('main', 0, 99 => '{$_<10}', 'constrained_placeholder', LINE => 164),
         'placeholder value wrong type';
 };
 
-- 
2.39.1

